unbound {bio3d} | R Documentation

## Sequence Generation from a Bounds Vector

### Description

Generate a sequence of consecutive numbers from a `bounds` vector.

### Usage

    unbound(start, end = NULL)

### Arguments

`start` | vector of starting values, or a matrix containing starting and end values such as that obtained from `bounds`.
`end` | vector of (maximal) end values, such as that obtained from `bounds`.

### Details

This is a simple utility function that does the opposite of the `bounds` function. If `start` is a vector, `end` must be a vector having the same length as `start`. If `start` is a matrix with column names contain 'start' and 'end', such as that returned from `bounds`, `end` can be skipped and both starting and end values will be extracted from `start`.

### Value

Returns a numeric sequence vector.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`bounds`

### Examples

    test <- c(seq(1,5,1),8,seq(10,15,1))
    b <- bounds(test)
    unbound(b)

[Package bio3d version 2.3-4 Index]